Bug 20640 - kernel crash
kernel crash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 08:03 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-10 08:03:33 EST
I recently installed RedHat 7.0 on a pentium-class AMD-K6 machine
where I satisfactorly have had 5.2 for a long long time.

Now I get frequent kernel crashes either when doing something or when the
machine is left idle. I report here the last three...
 
-------------------------------------------------
Nov  8 20:03:08 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Nov  8 20:03:08 yoga kernel: current->tss.cr3 = 02b99000, %%cr3 = 02b99000
Nov  8 20:03:08 yoga kernel: *pde = 00000000
Nov  8 20:03:08 yoga kernel: Oops: 0000
Nov  8 20:03:08 yoga kernel: CPU:    0
Nov  8 20:03:08 yoga kernel: EIP:    0010:[kmalloc+81/348]
Nov  8 20:03:08 yoga kernel: EFLAGS: 00210012
Nov  8 20:03:08 yoga kernel: eax: c2760fe0   ebx: c2760fe0   ecx:
00000000   edx: 00000000
Nov  8 20:03:08 yoga kernel: esi: c3fff080   edi: 00000000   ebp:
00200282   esp: c2a01f5c
Nov  8 20:03:08 yoga kernel: ds: 0018   es: 0018   ss: 0018
Nov  8 20:03:08 yoga kernel: Process xmatrix (pid: 1536, process nr: 38,
stackpage=c2a01000)
Nov  8 20:03:08 yoga kernel: Stack: 00000000 00000000 c012f47a 00000000
00000015 c2a00000 00000000 bffff650 
Nov  8 20:03:08 yoga kernel:        bffff658 00000000 c14bb2ac 00000000
bfffed0c c0c18b40 00000000 0000001f 
Nov  8 20:03:08 yoga kernel:        c2a00000 c012ec94 00000001 c2a00000
00000000 00000000 bfffecc8 c270fd60 
Nov  8 20:03:08 yoga kernel: Call Trace: [sys_select+306/1360]
[sys_ioctl+432/448] [system_call+52/56] 
Nov  8 20:03:08 yoga kernel: Code: 8b 01 89 03 85 c0 74 2b 8b 7b 04 85 ff
75 10 89 19 89 c8 2b
Nov  8 20:03:19 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Nov  8 20:03:19 yoga kernel: current->tss.cr3 = 00848000, %%cr3 = 00848000
Nov  8 20:03:19 yoga kernel: *pde = 00000000
Nov  8 20:03:19 yoga kernel: Oops: 0000
Nov  8 20:03:19 yoga kernel: CPU:    0
Nov  8 20:03:19 yoga kernel: EIP:    0010:[kmalloc+81/348]
Nov  8 20:03:19 yoga kernel: EFLAGS: 00210006
Nov  8 20:03:19 yoga kernel: eax: c2760fe0   ebx: c2760fe0   ecx:
00000000   edx: 00000018
Nov  8 20:03:19 yoga kernel: esi: c3fff080   edi: 00000008   ebp:
00200282   esp: c0c3bf5c
Nov  8 20:03:19 yoga kernel: ds: 0018   es: 0018   ss: 0018
Nov  8 20:03:19 yoga kernel: Process asclock_applet (pid: 1196, process nr:
39, stackpage=c0c3b000)
Nov  8 20:03:19 yoga kernel: Stack: 00000008 0000000c c012f47a 00000018
00000015 c0c3a000 00000000 40427db0 
Nov  8 20:03:19 yoga kernel:        bffff808 00000008 c122ba1c 00000004
bfffef6c c0c18660 00000018 00000024 
Nov  8 20:03:19 yoga kernel:        c0c3a000 c012ec94 00000000 c0c3a000
00000000 00000000 bfffef28 c1480600 
Nov  8 20:03:19 yoga kernel: Call Trace: [sys_select+306/1360]
[sys_ioctl+432/448] [system_call+52/56] 
Nov  8 20:03:19 yoga kernel: Code: 8b 01 89 03 85 c0 74 2b 8b 7b 04 85 ff
75 10 89 19 89 c8 2b
--------------------------------------------------------------
Nov  9 11:51:51 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Nov  9 11:51:51 yoga kernel: current->tss.cr3 = 02975000, %%cr3 = 02975000
Nov  9 11:51:51 yoga kernel: *pde = 00000000
Nov  9 11:51:51 yoga kernel: Oops: 0000
Nov  9 11:51:51 yoga kernel: CPU:    0
Nov  9 11:51:52 yoga kernel: EIP:    0010:[kmalloc+81/348]
Nov  9 11:51:52 yoga kernel: EFLAGS: 00210012
Nov  9 11:51:52 yoga kernel: eax: c1093fe0   ebx: c1093fe0   ecx:
00000000   edx: 00000018
Nov  9 11:51:52 yoga kernel: esi: c3fff080   edi: 00000008   ebp:
00200282   esp: c0f65f24
Nov  9 11:51:52 yoga kernel: ds: 0018   es: 0018   ss: 0018
Nov  9 11:51:52 yoga kernel: Process netscape-commun (pid: 1391, process
nr: 68, stackpage=c0f65000)
Nov  9 11:51:52 yoga kernel: Stack: 00000008 0000000c c012f47a 00000018
00000015 00000000 50011c58 c0f65fc0 
Nov  9 11:51:52 yoga kernel:        50011c3c 00000008 00000000 00000004
00000000 00000001 00000018 00000032 
Nov  9 11:51:52 yoga kernel:        c0f64000 c17dd7e0 00000001 c17dd7e0
c17dd7e4 c0f64000 50011c2c c0f65fbc 
Nov  9 11:51:52 yoga kernel: Call Trace: [sys_select+306/1360]
[old_select+86/104] [system_call+52/56] 
Nov  9 11:51:52 yoga kernel: Code: 8b 01 89 03 85 c0 74 2b 8b 7b 04 85 ff
75 10 89 19 89 c8 2b 
Nov  9 11:51:52 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
---------------------------------------------------------------
Nov  9 15:22:55 yoga kernel: kmem_free: Bad obj addr (objp=c1153f84,
name=size-64)
Nov  9 15:22:55 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Nov  9 15:22:55 yoga kernel: current->tss.cr3 = 01bda000, %%cr3 = 01bda000
Nov  9 15:22:55 yoga kernel: EFLAGS: 00010202
Nov  9 15:22:55 yoga kernel: EFLAGS: 000
Nov  9 15:22:55 yoga kernel: EFLAGS: 00
Nov  9 15:22:55 yoga kernel: EIP:    0010:[kfree+377/424]
Nov  9 15:22:55 yoga kernel: EFLAGS: 00010202
Nov  9 15:22:55 yoga kernel: eax: 00000039   ebx: c3fff0e0   ecx:
ffffffff   edx: 0000003c
Nov  9 15:22:55 yoga kernel: esi: c1153f84   edi: 00000202   ebp:
04800002   esp: c16b3eb4
Nov  9 15:22:55 yoga kernel: ds: 0018   es: 0018   ss: 0018
Nov  9 15:22:55 yoga kernel: Process sawfish (pid: 944, process nr: 45,
stackpage=c16b3000)
Nov  9 15:22:55 yoga kernel: Stack: c0f7613c c355c144 c1153fe0 00000002
c014df5f c1153f84 c0f760e0 c014e01d 
Nov  9 15:22:55 yoga kernel:        c0f760e0 c0f760e0 00000001 c017f7a7
c0f760e0 c2ca3d4c 00000020 00000040 
Nov  9 15:22:55 yoga kernel:        c16b3f80 c355c328 c0f760e0 c355c328
00000001 00000020 00000000 00000040 
Nov  9 15:22:55 yoga kernel: Call Trace: [kfree_skbmem+35/64]
[__kfree_skb+161/168] [unix_stream_recvmsg+631/808] [sock_recvmsg+66/180]
[unix_stream_recvmsg+0/808] [sock_read+143/152] [sys_read+174/196] 
Nov  9 15:22:55 yoga kernel:        [system_call+52/56] 
Nov  9 15:22:55 yoga kernel: Code: c7 05 00 00 00 00 00 00 00 00 eb 1b 8d
76 00 56 68 c2 c8 1d 
Nov  9 15:24:42 yogakernel: kmem_free: Bad obj addr (objp=c1153f84,
name=size-64)
Nov  9 15:24:42 yoga kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Nov  9 15:24:42 yoga kernel: current->tss.cr3 = 00dd9000, %%cr3 = 00dd9000
Nov  9 15:24:42 yoga kernel: *pde = 00000000
---------------------------------------------------------------
Comment 1 Bugzilla owner 2004-09-30 11:38:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.